using System;
using Server.Items;
using Server.Network;

namespace Server.Items
{
	[FlipableAttribute( 0xf45, 0xf46 )]
	public class GreatAxe : BaseAxe
	{
		public override int UOStrengthReq{ get{ return 35; } }
		public override int UOMinDamage{ get{ return 6; } }
		public override int UOMaxDamage{ get{ return 33; } }
		public override int UOSpeed{ get{ return 37; } }

		public override int InitMinHits{ get{ return 31; } }
		public override int InitMaxHits{ get{ return 70; } }

		[Constructable]
		public GreatAxe() : base( 0xF45 )
		{
			Weight = 8.0;
		}

		public GreatAxe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}